Summary: The Jabber IM (Instant Messaging) server.
Name: jabber
Version: 1.4.1
Release: fr0.4
Group: System Environment/Daemons
Copyright: GPL
URL: http://www.jabber.org/
Source0: http://download.jabber.org/dists/1.4/final/%{name}-%{version}.tar.bz2
Source1: jabberd.init
Buildroot: %{_tmppath}/%{name}-root
Requires: /sbin/service, /sbin/chkconfig
BuildRequires: perl
PreReq: /etc/init.d

%description
Jabber is an XML-based, open-source system and protocol for real-time
messaging and presence notification. The first application of Jabber is
an instant messaging (IM) system similar to AOL Instant Messenger, ICQ,
MSN Instant Messenger, or Yahoo! Messenger. However, Jabber is also
being applied in the realms of wireless communications, embedded
systems, and Internet infrastructure.

%prep
%setup -q 

%build
export JHOME=/var/jabber
%configure
make

%install
rm -rf %{buildroot}
mkdir -p %{buildroot}/var/{jabber/spool,lib/jabber}

perl -pi -e 's|\./spool|/var/jabber/spool|g' jabber.xml
perl -pi -e 's|\./jabber.pid|/var/jabber/jabber.pid|g' jabber.xml
perl -pi -e 's|>\./|>/var/lib/jabber/|g' jabber.xml

install -D -m 755 jabberd/jabberd %{buildroot}%{_sbindir}/jabberd
install -D -m 644 jabber.xml %{buildroot}%{_sysconfdir}/jabber/jabber.xml
install -D -m 755 %{SOURCE1} %{buildroot}/etc/init.d/jabberd

for dir in jsm xdb_file pthsock dnsrv dialback; do
	strip $dir/*.so
	mkdir %{buildroot}/var/lib/jabber/$dir
	install -m 755 $dir/*.so %{buildroot}/var/lib/jabber/$dir/
done

%pre
#useradd -M -r -d /var/jabber -s /bin/false -c "Jabber server" jabber 2>/dev/null || :

%post
if [ $1 = 1 ]; then
	/sbin/chkconfig --add jabberd
fi

%preun
if [ $1 = 0 ]; then
	/sbin/service jabberd stop >/dev/null 2>&1 || :
	/sbin/chkconfig --del jabberd
fi

%postun
# Only if we are upgrading..
if [ "$1" -ge "1" ]; then
	/sbin/service jabberd condrestart >/dev/null 2>&1 || :
#else
#	userdel jabber 2>/dev/null || :
#	groupdel jabber 2>/dev/null || :
fi

%clean
rm -rf %{buildroot}

%files
%defattr(-, root, root)
%doc README UPGRADE
%{_sbindir}/jabberd
%dir %{_sysconfdir}/jabber
%config(noreplace) %{_sysconfdir}/jabber/jabber.xml
%config /etc/init.d/jabberd
/var/lib/jabber
#%attr(750, jabber, jabber) %dir /var/jabber
#%attr(750, jabber, jabber) %dir /var/jabber/spool
%dir /var/jabber
%dir /var/jabber/spool

%changelog
* Fri Apr 27 2001 Matthias Saou <matthias.saou@est.une.marmotte.net>
- Initial RPM release for Red Hat 7.1.
- Couldn't get it to not run as root... the init script is very ugly :-(

